Bug 186537 - Can't install rhythmbox ( without totem ) and with totem-xine
Can't install rhythmbox ( without totem ) and with totem-xine
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
Depends On:
  Show dependency treegraph
Reported: 2006-03-24 01:38 EST by Bruce Brackbill
Modified: 2013-10-20 18:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-14 16:36:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Brackbill 2006-03-24 01:38:40 EST
Description of problem:
Can't install rhythmbox ( without totem ) and with totem-xine

Version-Release number of selected component (if applicable):
totem-xine.i386 1.0.4-4.lvn5

How reproducible:
It looks like rhythmbox relies on a library provided by totem, and won't play
nice with totem-xine.

On FC5/ gnome 2.14, it is not possible ( through yum/rpm ) to have totem and
totem-xine together.  When removing totem (via yum) (to make way for totem-xine)
yum will also remove rhythmbox.  When trying to reinstall rhythmbox, after
installing totem-xine, the installation will fail with the following:

[root@localhost ~]# yum install rhythmbox
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
livna                                                                [1/4]
core                                                                 [2/4]
updates                                                              [3/4]
extras                                                               [4/4]
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
--> Package rhythmbox.i386 0: set to be updated
--> Running transaction check
--> Processing Dependency: libtotem-plparser.so.1 for package: rhythmbox
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for totem to pack into transaction set.
totem-1.3.92-1.i386.rpm   100% |=========================|  35 kB    00:05
---> Package totem.i386 0:1.3.92-1 set to be updated
--> Running transaction check
--> Processing Conflict: totem-xine conflicts totem
--> Finished Dependency Resolution
Error: totem-xine conflicts with totem

Steps to Reproduce:
1. remove totem (rhythmbox is aslo uninstalled due to dependencies)
2. install totem-xine
3. try to install rhythmbox and watch it fail due to dependencies.
Actual results:
rhythmbox not installed

Expected results:
To be able to install rhythmbox while i have totem-xine installed, and NOT totem
Comment 1 Bruce Brackbill 2006-03-27 23:57:48 EST
livna has updated to a newer version of totem-xine
http://bugzilla.livna.org/show_bug.cgi?id=823 and it appears to have fixed this
bug :-)
Comment 2 Bruce Brackbill 2006-03-28 00:16:42 EST
I spoke to soon.  Rhythmbox still relies on totem libraries, but the newer
totem-xine now provides those libraries.  But if the user wants to replace totem
with totem-xine he has to go through the process of removing Rhythmbox ( with
totem ), and then installing totem-xine then reinstalling Rhythmbox. 
Comment 3 John Thacker 2006-04-14 16:36:19 EDT
Since this is a livna issue, and has been addressed and fixed there (though it
sounds like perhaps the fix could be improved with an Obsoletes: totem added to
the totem-xine spec, then one could simply upgrade from totem to totem-xine
without uninstalled rhythmbox), I'm closing this.

Fedora neither needs to nor will do anything to fix this.  It's a totem-xine
issue only, it's fixed by livna or whereever you get the external package.

Note You need to log in before you can comment on or make changes to this bug.